//
// Created by sebastian on 02.08.26.
//

#ifndef COLORRACE_IMGUICONTEXT_H
#define COLORRACE_IMGUICONTEXT_H


#pragma once
#include "core/Window.h"

namespace engine {
    class ImGuiContext {
    public:
        explicit ImGuiContext(Window& window);
        ~ImGuiContext();

        ImGuiContext(const ImGuiContext&) = delete;
        ImGuiContext& operator=(const ImGuiContext&) = delete;

        void beginFrame() const;
        void endFrame() const;
    };
}

#endif //COLORRACE_IMGUICONTEXT_H
